POST api/contractapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ContractViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| washing_processes | Collection of WashingProcessViewModel |
None. |
|
| active | boolean |
Required |
|
| certificate_type_id | globally unique identifier |
Required |
|
| code | integer |
None. |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| internal_reference | string |
String length: inclusive between 0 and 50 |
|
| item_wash_max | integer |
None. |
|
| language_code | string |
Required String length: inclusive between 0 and 10 |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| packaging_type_id | globally unique identifier |
Required |
|
| packing_type_id | globally unique identifier |
Required |
|
| particles_control | boolean |
Required |
|
| peremption_month | integer |
None. |
|
| peremption_print_cleanroom | boolean |
Required |
|
| peremption_print_date | boolean |
Required |
|
| peremption_print_expedition | boolean |
Required |
|
| permanent_management | boolean |
Required |
|
| pool_id | globally unique identifier |
None. |
|
| remark | string |
None. |
|
| site_customer_id | globally unique identifier |
Required |
|
| sorting_type_id | globally unique identifier |
Required |
|
| type | string |
Required String length: inclusive between 0 and 1 |
Request Formats
application/json, text/json
Sample:
{
"selected_nameplate_id": "f1e5cec7-007d-43ce-9416-0b7faf1bc421",
"selected_sticker_id": "c9f8f0c0-2ef6-4bba-b6ea-79150e68e5de",
"washing_processes": [
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "f593ea34-ebec-4528-b177-4dde6314771a",
"site_id": "e79cbc7c-56a6-477b-8ea2-823a31e029b7"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "f593ea34-ebec-4528-b177-4dde6314771a",
"site_id": "e79cbc7c-56a6-477b-8ea2-823a31e029b7"
}
],
"active": true,
"certificate_type_id": "034042ee-4e5f-4a68-b2aa-b983ec587986",
"code": 1,
"delay_between_scans": 1,
"id": "477785b6-8b71-4e4f-b602-bcdab9e37469",
"internal_reference": "sample string 4",
"item_wash_max": 1,
"language_code": "sample string 5",
"name": "sample string 6",
"packaging_type_id": "8b62e063-0760-4b36-b19a-16d2c4bdafef",
"packing_type_id": "0978e71b-8efb-4c68-a953-551090675413",
"particles_control": true,
"peremption_month": 1,
"peremption_print_cleanroom": true,
"peremption_print_date": true,
"peremption_print_expedition": true,
"permanent_management": true,
"pool_id": "b044d66b-94bf-402f-9a0f-7dcad8c8bae0",
"remark": "sample string 14",
"site_customer_id": "50864ccb-238b-4bea-a896-7b016cee4ba8",
"sorting_type_id": "08df4b96-686c-4d3a-81cc-95cc10ea0316",
"type": "sample string 17"
}
application/xml, text/xml
Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<certificate_type_id>034042ee-4e5f-4a68-b2aa-b983ec587986</certificate_type_id>
<code>1</code>
<delay_between_scans>1</delay_between_scans>
<id>477785b6-8b71-4e4f-b602-bcdab9e37469</id>
<internal_reference>sample string 4</internal_reference>
<item_wash_max>1</item_wash_max>
<language_code>sample string 5</language_code>
<name>sample string 6</name>
<packaging_type_id>8b62e063-0760-4b36-b19a-16d2c4bdafef</packaging_type_id>
<packing_type_id>0978e71b-8efb-4c68-a953-551090675413</packing_type_id>
<particles_control>true</particles_control>
<peremption_month>1</peremption_month>
<peremption_print_cleanroom>true</peremption_print_cleanroom>
<peremption_print_date>true</peremption_print_date>
<peremption_print_expedition>true</peremption_print_expedition>
<permanent_management>true</permanent_management>
<pool_id>b044d66b-94bf-402f-9a0f-7dcad8c8bae0</pool_id>
<remark>sample string 14</remark>
<site_customer_id>50864ccb-238b-4bea-a896-7b016cee4ba8</site_customer_id>
<sorting_type_id>08df4b96-686c-4d3a-81cc-95cc10ea0316</sorting_type_id>
<type>sample string 17</type>
<selected_nameplate_id>f1e5cec7-007d-43ce-9416-0b7faf1bc421</selected_nameplate_id>
<selected_sticker_id>c9f8f0c0-2ef6-4bba-b6ea-79150e68e5de</selected_sticker_id>
<washing_processes>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>f593ea34-ebec-4528-b177-4dde6314771a</id>
<site_id>e79cbc7c-56a6-477b-8ea2-823a31e029b7</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>f593ea34-ebec-4528-b177-4dde6314771a</id>
<site_id>e79cbc7c-56a6-477b-8ea2-823a31e029b7</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
</washing_processes>
</contract>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"555767b1-dd0a-4141-84cc-b84da2b9fff2"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">555767b1-dd0a-4141-84cc-b84da2b9fff2</guid>